Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Match a list of emails to recipients for a specific tenant

POST
/v2/tenant/{tenantKey}/usermatch/verified_email
curl --request POST \
--url https://sender.api.kivra.com/v2/tenant/example/usermatch/verified_email \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "list": [ "fOO@example.com", "bAr@EXAMPLE.COM", "XYZ@example.COM" ] }'

Match a list of email addresses to identify those eligible to receive content from the tenant.

  • oAuth2Client
    get:kivra.v2.tenant.{tenantKey}.usermatch.verified_email
tenantKey
required
string format: hexadecimal

The tenant key the matching should be done against. Recipients that opt-out from the tenant will be excluded.

List of email addresses to be matched. The payload can be up to 10MB in size. If the payload exceeds 10MB, Kivra will respond with a 413 error.

Media typeapplication/json
UserMatchV2Email
object
list
required

List of recipient addresses to be matched

Array<string>
Example
{
"list": [
"fOO@example.com",
"bAr@EXAMPLE.COM",
"XYZ@example.COM"
]
}

Filtered list of email addresses that matched.

Media typeapplication/json
UserMatchV2Email
object
list
required

List of recipient addresses to be matched

Array<string>
Example
{
"list": [
"fOO@example.COM",
"bAr@EXAMPLE.COM"
]
}